<?php
/**
 # mod_jvtranslate - JV Translate
 # @version        1.5.x 
 # ------------------------------------------------------------------------
 # author    Open Source Code Solutions Co
 # copyright Copyright (C) 2011 joomlavi.com. All Rights Reserved.
 # @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL or later.
 # Websites: http://www.joomlavi.com
 # Technical Support:  http://www.joomlavi.com/my-tickets.html
-------------------------------------------------------------------------*/

// No direct access
defined('_JEXEC') or die('Restricted access');

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::base().'modules/mod_jvtranslate/assets/css/jvtranslate.css');

if($display == 'FLAGS'){
    $document->addScript('http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js');
    $document->addScriptDeclaration("jQuery.noConflict();");
    $document->addScript('http://plugins.jquery.com/files/jquery.cookie.js.txt');
    $document->addScript('http://jquery-translate.googlecode.com/files/jquery.translate-1.3.7.min.js');?>
    <script type="text/javascript">
        function translateTo(destLang) {
            jQuery(function ($) {    
                $('body').translate( '<?php echo $lang_default;?>', destLang, {   //translate from english to the selected language
                  not: '.jq-translate-ui',  //by default the generated element has this className
                  fromOriginal:true   //always translate from english (even after the page has been translated)
                                      //unnecessary in v1.4, the default value is true
                });
                $.cookie('destLang', destLang); 
            });
        }
        
        jQuery(function ($) {        
            var destLang = $.cookie('destLang'); //get previously translated language
            if( destLang )  //if it was set then
                translateTo( destLang );    
        });  
    </script>
    
    <?php foreach($lang_array as $lang_code => $lang_name){ 
             if($params->get('show_'.$lang_code)){?>
    <a title="<?php echo $lang_name?>" href="javascript:translateTo('<?php echo $lang_code?>')"><img src="<?php echo JURI::base().'/modules/mod_jvtranslate/assets/images/'.$flag_size.'/'.$lang_code.'.png'?>" /></a>
<?php        }
          }
          
    }else{?>
    <div id="google_translate_element"></div>
    <script>
        function googleTranslateElementInit() {
          new google.translate.TranslateElement({
            pageLanguage: '<?php echo $lang_default?>',
            includedLanguages: '<?php foreach($lang_array as $lang_code => $lang_name){ 
                                         if($params->get('show_'.$lang_code))
                                            $lang_show = $lang_code.',';
                                     echo $lang_show;
                               }?>',
            autoDisplay: false,
            //gaTrack: true,
            layout: google.translate.TranslateElement.InlineLayout.<?php echo $display?>
          }, 'google_translate_element');
        }
    </script>
    <script src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
<?php }?>