<?php
    /**
     # mod_jvtranslate - JV Translate
     # @version        1.5.x
     # ------------------------------------------------------------------------
     # author    Open Source Code Solutions Co
     # copyright Copyright (C) 2011 joomlavi.com. All Rights Reserved.
     # @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL or later.
     # Websites: http://www.joomlavi.com
     # Technical Support:  http://www.joomlavi.com/my-tickets.html
    -------------------------------------------------------------------------*/
    
    // No direct access to this file
    defined('_JEXEC') or die('Restricted access');
    
    $display = $params->get('display');
    $lang_default = $params->get('lang_default');  
    $flag_size = $params->get('flag_size');  
    
    $lang_array = array( 
                        'auto'=>'Detect language',
                        'af'=>'Afrikaans',
  	                    'sq'=> 'Albanian',
 	                    'ar'=> 'Arabic',
                     	'be'=> 'Belarusian',
                     	'bg'=> 'Bulgarian',
                     	'ca'=> 'Catalan',
                    	'zh-CN'=> 'Chinese Simplified', 
                     	'zh-TW'=> 'Chinese Traditional',
                     	'hr'=> 'Croatian',
                     	'cs'=> 'Czech',
                     	'da'=> 'Danish',
                     	'nl'=> 'Dutch',
                     	'en'=> 'English',
                     	'et'=> 'Estonian',
                     	'tl'=> 'Filipino',
                     	'fi'=> 'Finnish',
                     	'fr'=> 'French',
                     	'gl'=> 'Galician',
                     	'de'=> 'German',
                     	'el'=> 'Greek',
                     	'ht'=> 'Haitian Creole',
                     	'iw'=> 'Hebrew',
                     	'hi'=> 'Hindi',
                     	'hu'=> 'Hungarian',
                     	'is'=> 'Icelandic',
                     	'id'=> 'Indonesian',
                     	'ga'=> 'Irish',
                     	'it'=> 'Italian',
                     	'ja'=> 'Japanese',
                     	'ko'=> 'Korean',
                     	'lv'=> 'Latvian',
                     	'lt'=> 'Lithuanian',
                     	'mk'=> 'Macedonian',
                     	'ms'=> 'Malay',
                     	'mt'=> 'Maltese',
                     	'no'=> 'Norwegian',
                     	'fa'=> 'Persian',
                     	'pl'=> 'Polish',
                     	'pt'=> 'Portuguese',
                     	'ro'=> 'Romanian',
                     	'ru'=> 'Russian',
                     	'sr'=> 'Serbian',
                     	'sk'=> 'Slovak',
                     	'sl'=> 'Slovenian',
                     	'es'=> 'Spanish',
                     	'sw'=> 'Swahili',
                     	'sv'=> 'Swedish',
                     	'th'=> 'Thai',
                     	'tr'=> 'Turkish',
                     	'uk'=> 'Ukrainian',
                     	'vi'=> 'Vietnamese',
                     	'cy'=> 'Welsh',
                     	'yi'=> 'Yiddish'
                      );
                      
    $lang_array = array_merge(array($lang_default => $lang_array[$lang_default]), $lang_array);
    
    if($lang_default!= 'auto'){
        if(!isset($_COOKIE['destLang'])){
            setcookie("destLang", $lang_default);
        }
        $lang_default = 'auto';         
    }      
    
    require JModuleHelper::getLayoutPath('mod_jvtranslate');